%This file contains the main keywords that are needed for model
%configuration. This script runs in KADMOS_Path routine
%-----------------------------------------------------------------------
name_file               = ['run_001'];       %name of file
%Crystal size ----------------------------------------------------------
Lr                      = [10,20,50];        %Grainsize in microns (ROW)
%Geometry employed ----------------------------------------------------
ndim_a                  = [3,3,3];           %Geometry E[1,2,3]    (ROW)
%Initial Ages (in Myr) --------------------------------------------------
Age0                    = [0,0,0];           %Initial Ages in Myr  (ROW)
%Define Mineral System----------------------------------------------------
Min_Sys                 = [{'Muscovite1'},{'Muscovite1'},{'Muscovite1'}];
%Create P-T-t data-------------------------------------------------------
tlim                    = 50;                %Limit on time in Myr
T0                      = 600;               %Starting T (in C)
P0                      = 2000;              %Initial Pressure (MPa)
Pmin                    = 10;                %Final pressure   (MPa; for lin-P-T)
Tmin                    = 25;                %Final T (C)  for all CR models
SCR                     = 50;                %Absolute Cooling Rate (C/Myr)
[Pres_A,TempK_A,time_A] = make_PTtpath('lin-CR',T0, SCR,P0,Pmin,Tmin,tlim);
%================================================================================
%======================PLEASE DO NOT MODIFY BELOW THIS POINT=====================
%================================================================================
Pres_a                  = repmat(Pres_A,length(Lr),1)';   %P array is ndd * Npath
TempK_a                 = repmat(TempK_A,length(Lr),1)';  %T array is ndd * Npath
time_a                  = repmat(time_A,length(Lr),1)';   %t array is ndd * Npath
%----------------------------------------------------------------
clearvars -except Lr ndim_a Age0 Min_Sys Pres_a TempK_a time_a tlim Tmin Pmin T0 name_file