function [L_g,R_g]=fill_MatrixFEM(ig,nr,ndofs,ndim,x_1,x_2,Dn,Do,theta,dt,Co)
if ndim ~=1 & ndim~=2 & ndim ~=3
    error('Dimension (ndim) ERROR')
end
M_11i = (2.*x_2.^ndim.*x_2.^2)./(ndim.*(x_1 - x_2).^2.*(ndim.^2 + 3.*ndim + 2)) - ...
    (x_1.^ndim.*(ndim.^2.*x_1.^2 - 2.*ndim.^2.*x_1.*x_2 + ndim.^2.*x_2.^2   + ...
    ndim.*x_1.^2 - 4.*ndim.*x_1.*x_2 + 3.*ndim.*x_2.^2 + 2.*x_2.^2))./(ndim.*(x_1 - x_2).^2.*(ndim.^2 + 3.*ndim + 2));
M_22i = -((x_1.^ndim.*x_1.^2)./ndim - (x_1.^2.*x_2.^ndim)./ndim - ...
    (2.*x_1.^ndim.*x_1.^2)./(ndim + 1) + (x_1.^ndim.*x_1.^2)./(ndim + 2) - ...
    (x_2.^ndim.*x_2.^2)./(ndim + 2) + (2.*x_1.*x_2.*x_2.^ndim)./(ndim + 1))./(x_1 - x_2).^2;
M_12i = -(ndim.*(x_1.^ndim.*x_1.^2 - x_2.^ndim.*x_2.^2 - x_1.*x_1.^ndim.*x_2 + x_1.*x_2.*x_2.^ndim) - ...
    2.*x_1.*x_1.^ndim.*x_2 + 2.*x_1.*x_2.*x_2.^ndim)./(ndim.*(x_1 - x_2).^2.*(ndim.^2 + 3.*ndim + 2));
K_11i = -((x_1.^ndim - x_2.^ndim))./(ndim.*(x_1 - x_2).^2);
K_12i =  ((x_1.^ndim - x_2.^ndim))./(ndim.*(x_1 - x_2).^2);
indE  = [1:length(x_1)]'; %Index as number of Elements
Nels  = indE(end);        %Number of Elements
Ndof  = Nels*1+1;         %Total Number of Dofs
M11d  = [M_11i;0];
M22d  = [0;M_22i];
M12d  = [0;M_12i];
K11d  = [K_11i;0];
K22d  = [0;K_11i];
K12d  = [0;K_12i];
Md_0  = M11d+M22d;
Md_1  = M12d;
Kd_0  = K11d+K22d;
Kd_1  = K12d;
M11m  = spdiags([Md_0],0,Ndof,Ndof);
M11s  = spdiags([Md_1],1,Ndof,Ndof);
K11m  = spdiags([Kd_0],0,Ndof,Ndof);
K11s  = spdiags([Kd_1],1,Ndof,Ndof);
%Derivatives of Last Shape Function
xE    = x_2(end);
dN1   = -1/(x_2(end)-x_1(end));
dN2   = +1/(x_2(end)-x_1(end));
dNdx  = [dN1 dN2];
MM    = M11m+M11s+M11s';
KM    = K11m+K11s+K11s';
L_g   =  MM./dt +KM.*Dn.*(  theta);
R_g   = (MM./dt -KM.*Do.*(1-theta))*Co(1+nr*(ig-1):1+nr*(ig-1)+nr-1);
%Boundary Conditions only at end (Enforce symmetry for specific BC)
L_g(nr,:)         = 0;
L_g(:,nr)         = 0;
L_g(nr,nr)        = 1;
R_g(nr)           = 0;
end