function [x2,dx_ar,Cfact] = linspace_adapt(L1,L2,nx,dX1_dXN)
%Function linspace_adapt creates unequal linspace for grid construction
%This function is based on the ulinspace function (explained below)
%The Inputs are
%L1     : beggining of Array
%L2     : end of Array
%nx     : size of Array
%dX1_dXN: Ratio of 1st to last dx
C        = (dX1_dXN).^(1/(1-nx));
%Ulinspace function ----------------------------------------------------
ndx      = nx-1;
LHS      = eye(ndx);
LHS(1,:) = 1;
for i = 1:ndx-1
    LHS(i+1,i) = -C;    
end
RHS      = zeros(ndx,1);
RHS(1)   = L2-L1;
dx_ar    = (LHS\RHS)';
x2       = [0 cumsum(dx_ar)];
x2       = x2+L1;
dx_ar    = diff(x2);
Cfact    = C;
end